cutlass::ComputeOffsetFromShape< Shape< 1, kSh_, kSw_, kSc_ > > Struct Template Reference

Compute the offset for the given coordinates in a cube with a depth of 1. More...

`#include <shape.h>`

## Static Public Member Functions

static CUTLASS_DEVICE int | get (int d, int h, int w, int c)

## Detailed Description

### template<int kSh_, int kSw_, int kSc_>
struct cutlass::ComputeOffsetFromShape< Shape< 1, kSh_, kSw_, kSc_ > >

Template Parameters

  kSh | Elements in the H dimension
  kSw | Elements in the W dimension
  kSc | Separation between two elements in "elements"

## Member Function Documentation

## get()

template<int kSh_, int kSw_, int kSc_>

static CUTLASS_DEVICE int cutlass::ComputeOffsetFromShape< Shape< 1, kSh_, kSw_, kSc_ > >::get | ( | int | d,
|  | int | h,
|  | int | w,
|  | int | c
| ) |  |

inlinestatic

The documentation for this struct was generated from the following file:

- shape.h